# jQuery Stickybox

A stickybox plugin for jQuery.

## Overview

You can select one or several boxes. These boxes will scroll with the rest of the page until they touch the topper window edge. Then they will be fixed and "stick" to this edge. You can define the space to the edge and set elements which stop the sticky boxes.

## Installation

Sorry, no bower yet. You have to do it manually.

1. Download the file "jquery.stickybox.js" from the dist folder.

2. Include jQuery (if not already done).
    ```html
    <script src="js/jquery-1.12.2.min.js"></script>
    ```

3. Include the stickybox plugin.
    ```html
    <script src="js/jquery.stickybox.js"></script>
    ```

4. Call the function "stickyBox" on your selected box or boxes (for example `$('#sticky-box')` if your box has the id "stick-box").
    ```html
    <script>
        $(document).ready(function() {
            $('#sticky-box').stickyBox();
        });
    </script>
    ```

5. You can also pass an option object (see the following chapter).
    ```html
    <script>
        $(document).ready(function() {
            $('#sticky-box').stickyBox({
                spaceTop: 0,
                stopper: '#footer'
            });
        });
    </script>
    ```

## Options

Option | Default | Description
------------ | ------------- | -------------
notStickyBreakpoint | 767 | From this point on and below, boxes are not sticky. Usefull for responsive layouts. If you want the boxes to be sticky all the time, just set it to 0.
spaceTop | 20 | Space between window top and boxes.
stoppper | false | False or elements which stop the boxes (jQuery selektor e.g. `'#footer'` or `'.sticky-box-stopper'`). The boxes wont go over these elements. Instead they will be positioned before them and stay there. See the demo for an example.
stopperSpace | 20 | Space between stopper elements and boxes.

## Demo
To see a little demo download the archive and open the "index.html" in the demo folder. In the demo you can see a box in the sidebar which sticks to the window top. The box stops before the footer.
